--- old/usr/src/uts/common/fs/dev/sdev_vfsops.c	sam. juil. 16 15:14:04 2016
+++ new/usr/src/uts/common/fs/dev/sdev_vfsops.c	sam. juil. 16 15:14:04 2016
@@ -105,7 +105,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, (void *)&modlfs, NULL
+	MODREV_1, { (void *)&modlfs, NULL }
 };
 
 int
@@ -145,11 +145,11 @@
 devinit(int fstype, char *name)
 {
 	static const fs_operation_def_t dev_vfsops_tbl[] = {
-		VFSNAME_MOUNT,		{ .vfs_mount = sdev_mount },
-		VFSNAME_UNMOUNT,	{ .vfs_unmount = sdev_unmount },
-		VFSNAME_ROOT, 		{ .vfs_root = sdev_root },
-		VFSNAME_STATVFS,	{ .vfs_statvfs = sdev_statvfs },
-		NULL,			NULL
+		{ VFSNAME_MOUNT,	{ .vfs_mount = sdev_mount } },
+		{ VFSNAME_UNMOUNT,	{ .vfs_unmount = sdev_unmount } },
+		{ VFSNAME_ROOT, 	{ .vfs_root = sdev_root } },
+		{ VFSNAME_STATVFS,	{ .vfs_statvfs = sdev_statvfs } },
+		{ NULL,			{ NULL } }
 	};
 
 	int	error;
